## ros-melodic-lvr2 20.11.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.4)
project(LAS_VEGAS VERSION 2)

# OPTIONS
option(BUILD_EXAMPLES "Build the examples" OFF)

set_property(GLOBAL PROPERTY USE_FOLDERS On)
set_property(GLOBAL PROPERTY FIND_LIBRARY_USE_LIB64_PATHS ON)

set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

include(GNUInstallDirs)

set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)

if(APPLE)
  set(CMAKE_MACOSX_RPATH ON)
endif()

#------------------------------------------------------------------------------
# Searching for Embree: needs to be placed above "set(CMAKE_MODULE_PATH)".
#------------------------------------------------------------------------------
find_package(embree 3.0 QUIET)
if(embree_FOUND)
  message(STATUS "Found Embree")
  include_directories(${EMBREE_INCLUDE_DIRS})
  list(APPEND LVR2_DEFINITIONS -DLVR2_USE_EMBREE)
endif(embree_FOUND)

set(CMAKE_MODULE_PATH
  ${LAS_VEGAS_SOURCE_DIR}/CMakeModules
  ${LAS_VEGAS_SOURCE_DIR}/ext/kintinuous/cmake/Modules
  ${CMAKE_MODULE_PATH}
)

message(STATUS ${CMAKE_MODULE_PATH})

include_directories(include)

###############################################################################
# Compiler specific settings
###############################################################################

# Add -O0 to remove optimizations when using gcc
if(CMAKE_COMPILER_IS_GNUCC)
    set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -O0 -g")
    set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -O0 -g")
    #add_compile_options(-O0 -g)
endif(CMAKE_COMPILER_IS_GNUCC)

if(MSVC)
  list(APPEND LVR2_DEFINITIONS -DNOMINMAX)
else(MSVC)
  add_compile_options(-fmessage-length=0 -fPIC -Wno-deprecated)
  # with cmake 3.3
  add_compile_options($<$<COMPILE_LANGUAGE:CXX>:-std=c++1z>)
  set(CMAKE_CXX_STANDARD 17)
endif(MSVC)

###############################################################################
# EXTERNAL LIBRARIES
###############################################################################

#------------------------------------------------------------------------------
# Searching for TIFF
#------------------------------------------------------------------------------
find_package(TIFF REQUIRED)
if(TIFF_FOUND)
    message(STATUS "Found TIFF library")
    include_directories(${TIFF_INCLUDE_DIRS})
endif(TIFF_FOUND)

#------------------------------------------------------------------------------
# Searching for GDAL
#------------------------------------------------------------------------------
find_package(GDAL REQUIRED)
if(GDAL_FOUND)
message(STATUS "Found GDAL")
    include_directories(${GDAL_INCLUDE_DIR})
endif(GDAL_FOUND)

#------------------------------------------------------------------------------
# Searching for CUDA
#------------------------------------------------------------------------------
option(WITH_CUDA "Compile with CUDA support" ON)
if(NOT APPLE AND WITH_CUDA)
find_package( CUDA 8)
if(CUDA_FOUND)
  message(STATUS "Found CUDA")
    include_directories(${CUDA_INCLUDE_DIRS})
    list(APPEND LVR2_DEFINITIONS -DLVR2_USE_CUDA)
endif(CUDA_FOUND)
endif(NOT APPLE AND WITH_CUDA)

#------------------------------------------------------------------------------
# Searching for OpenCV
#------------------------------------------------------------------------------
find_package( OpenCV 3 QUIET )
if (NOT OpenCV_FOUND)
  find_package( OpenCV 4)
  if(OpenCV_FOUND)
	message(STATUS "Found OpenCV 4")
  endif()
else()
  message(STATUS "Found OpenCV 3")
endif()
include_directories( ${OpenCV_INCLUDE_DIRS} )

option(WITH_CV_NONFREE "Use OpenCV non-free descriptors" OFF)
if(WITH_CV_NONFREE)
  message(STATUS "Using OpenCV non-free module")
  list(APPEND LVR2_DEFINITIONS -DLVR2_USE_CV_NONFREE)
endif(WITH_CV_NONFREE)


#------------------------------------------------------------------------------
# Searching for FLANN
#------------------------------------------------------------------------------
find_package(FLANN REQUIRED)
if(FLANN_FOUND)
  message(STATUS "Found FLANN")
  include_directories(${FLANN_DIR})
endif(FLANN_FOUND)

find_package(Lz4 REQUIRED)
include_directories(  ${LZ4_INCLUDE_DIR} )
message(STATUS "Found LZ4 library: ${LZ4_LIBRARY}")


#------------------------------------------------------------------------------
# Searching for GSL
#------------------------------------------------------------------------------
find_package(GSL REQUIRED)
include_directories(${GSL_INCLUDE_DIRS})
message(STATUS "Found GSL")

#------------------------------------------------------------------------------
# Searching for Eigen3
#------------------------------------------------------------------------------
find_package(Eigen3 REQUIRED)
include_directories(${EIGEN3_INCLUDE_DIR})
message(STATUS "Found Eigen3")

#------------------------------------------------------------------------------
# Searching for OpenCl
#------------------------------------------------------------------------------
find_package(OpenCL2)
if(OPENCL_FOUND)
  message(STATUS "Found OpenCL")
    include_directories(OPENCL_INCLUDE_DIR)
    list(APPEND LVR2_DEFINITIONS -DLVR2_USE_OPENCL)
    if(OpenCL_NEW_API)
      list(APPEND LVR2_DEFINITIONS -DLVR2_USE_OPENCL_NEW_API)
    endif(OpenCL_NEW_API)
endif()


#------------------------------------------------------------------------------
# Searching for Draco
#------------------------------------------------------------------------------
find_package(Draco)
if(draco_FOUND)
  message(STATUS "Found Draco")
  include_directories(${draco_INCLUDE_DIRS})
  list(APPEND LVR2_DEFINITIONS -DLVR2_USE_DRACO)
endif(draco_FOUND)

#------------------------------------------------------------------------------
# Searching for VTK
#------------------------------------------------------------------------------
set(VTK_QT_VERSION 5)
find_package(VTK REQUIRED)

if(DEFINED VTK_MAJOR_VERSION AND VTK_MAJOR_VERSION VERSION_EQUAL "8")
  # patched QVTKOpenGL header because of name clash with signals.
  add_subdirectory(ext/QVTKOpenGLWidget)
  include_directories(BEFORE ${QVTK_PATCHED_INCLUDE_DIR} )
  list(APPEND LVR2_INSTALL_INCLUDE_DIRS ${QVTK_PATCHED_INCLUDE_DIR})

  list(APPEND LVR2_DEFINITIONS -DLVR2_USE_VTK8)
endif()

if(DEFINED VTK_MAJOR_VERSION AND VTK_MAJOR_VERSION VERSION_LESS "6")
  list(APPEND LVR2_DEFINITIONS -DLVR2_USE_VTK5)
endif()

if(VTK_MAJOR_VERSION VERSION_EQUAL "7")
    if(VTK_MINOR_VERSION VERSION_GREATER "0")
        list(APPEND LVR2_DEFINITIONS -DLVR2_USE_VTK_GE_7_1)
    endif()
endif()

if(VTK_MAJOR_VERSION VERSION_GREATER "7")
  list(APPEND LVR2_DEFINITIONS -DLVR2_USE_VTK_GE_7_1)
endif()

if(VTK_VERSION VERSION_GREATER "7")

  list(APPEND LVR2_DEFINITIONS -DLVR2_USE_VTK_GE_7_1)
  set(VTK_COMPONENTS "${VTK_AVAILABLE_COMPONENTS}")
  set(VTK_HAS_QT OFF)
  foreach(VTK_COMPONENT ${VTK_COMPONENTS})
    if("${VTK_COMPONENT}" STREQUAL "GUISupportQt")
      set(VTK_HAS_QT ON)
    endif()
  endforeach()

  message(STATUS "VTK > 7 found")
  if(VTK_HAS_QT)
    message(STATUS "Found VTK compoment QVTK")
  endif()
endif()

#------------------------------------------------------------------------------
# Searching for NABO
#------------------------------------------------------------------------------
find_package(Nabo)
if(NABO_FOUND)
  include_directories(${NABO_INCLUDE_DIRS})
  list(APPEND LVR2_DEFINITIONS -DLVR2_USE_NABO)
endif(NABO_FOUND)

#------------------------------------------------------------------------------
## Searching for PCL
#------------------------------------------------------------------------------
option(WITH_PCL "Compile with PCL support" OFF)
if(WITH_PCL)
    find_package(PCL)
    if(PCL_FOUND)
        # PCL only results in linker error due to internal mpi dependency
        find_package(MPI)
        if(MPI_FOUND)
            message(STATUS "PCL and MPI found. Compile with PCL support.")
            include_directories(${PCL_INCLUDE_DIRS})
            link_directories(${PCL_LIBRARY_DIRS})
            add_definitions(${PCL_DEFINITIONS})
            list(APPEND LVR2_DEFINITIONS -DLVR2_USE_PCL)
        else(MPI_FOUND)
            message(WARNING "PCL found but no mpi. To use PCL support please install MPI")
            unset(PCL_FOUND)
        endif(MPI_FOUND)
    else(PCL_FOUND)
        message(STATUS "-- No PCL found." )
        message(STATUS "-- PCL related stuff will be disabled." )
    endif(PCL_FOUND)
endif(WITH_PCL)

#------------------------------------------------------------------------------
# Searching CGAL
#------------------------------------------------------------------------------

find_package(CGAL)
if(CGAL_FOUND)
  set(_CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
  set(CMAKE_CXX_FLAGS)
  # CGAL_USE_FILE overrides theses flags...
  include(${CGAL_USE_FILE})
  set(CMAKE_CXX_FLAGS "${_CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS}")

  message(STATUS "Found CGAL")
endif(CGAL_FOUND)

#------------------------------------------------------------------------------
# Searching for Boost
#------------------------------------------------------------------------------

#set(Boost_USE_STATIC_LIBS       ON)
set(Boost_USE_MULTITHREADED     ON)
set(Boost_COMPONENTS
  program_options
  filesystem
  system
  thread
  serialization
  timer
  iostreams)

if(MPI_FOUND)
  set($Boost_COMPONENTS ${Boost_COMPONENTS} mpi)
endif()

find_package(Boost 1.54 COMPONENTS ${Boost_COMPONENTS} REQUIRED QUIET)


link_directories(${Boost_LIBRARY_DIR})
include_directories(${Boost_INCLUDE_DIRS})
add_definitions(${Boost_LIB_DIAGNOSTIC_DEFINITIONS})

#------------------------------------------------------------------------------
# Searching for OpenMP
#------------------------------------------------------------------------------

find_package(OpenMP)
if(OPENMP_FOUND)
  message(STATUS "Found OpenMP")
  link_directories(${OpenMP_LIBRARY_DIRS})
  include_directories(${OpenMP_INCLUDE_DIRS})
  list(APPEND LVR2_DEFINITIONS -DLVR2_USE_OPEN_MP)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
endif(OPENMP_FOUND)

#------------------------------------------------------------------------------
# Searching for OpenGL
#------------------------------------------------------------------------------

find_package(OpenGL REQUIRED)
include_directories(${OPENGL_INCLUDE_DIR})
message(STATUS "Found OpenGL")

if(APPLE)
  include_directories(/System/Library/Frameworks/GLUT.framework/Headers)
  include_directories(/System/Library/Frameworks/OpenGL.framework/Headers)
  IF(EXISTS "/opt/local/lib")
    link_directories(/opt/local/lib)
  endif()
endif(APPLE)

#------------------------------------------------------------------------------
## Searching for glut
#------------------------------------------------------------------------------

find_package(GLUT REQUIRED)
message(STATUS "Found OpenGL Utility Toolkit" )
include_directories(${GLUT_INCLUDE_DIR})

#------------------------------------------------------------------------------
## Searching for libfreenect
#------------------------------------------------------------------------------
option(WITH_FREENECT "Compile with libfreenect grabber" OFF)

find_package(PkgConfig REQUIRED)
pkg_check_modules(LIBFREENECT libfreenect)
if(WITH_FREENECT AND LIBFREENECT_FOUND)
  message(STATUS "Found Freenect")
  include_directories(${LIBFREENECT_INCLUDE_DIRS})
endif()

#------------------------------------------------------------------------------
## Searching for STANN
#------------------------------------------------------------------------------
set(STANN_DIR "" CACHE PATH "directory that contains the STANN library headers")
find_package(STANN)
if(STANN_FOUND)
  list(APPEND LVR2_DEFINITIONS -DLVR2_USE_STANN)
  include_directories(${STANN_INCLUDE_DIR})
endif(STANN_FOUND)



###############################################################################
# USED THIRD PARTY STUFF
###############################################################################

# NanoFLANN
add_subdirectory(ext/nanoflann)

=== examples/CMakeLists.txt ===
add_subdirectory(channels)
add_subdirectory(coordinates)
add_subdirectory(raycasting)
add_subdirectory(hdf5features)

=== examples/channels/CMakeLists.txt ===
#####################################################################################
# Set source files
#####################################################################################

include_directories(
  include
)

set(LVR2_EXAMPLE_CHANNELS_SRCS
)

#####################################################################################
# Setup dependencies to external libraries
#####################################################################################

set(LVR2_EXAMPLE_CHANNELS_DEPENDENCIES
    lvr2_static
)

#####################################################################################
# Add executable
#####################################################################################

add_executable(lvr2_examples_channels
    Main.cpp
    ${LVR2_EXAMPLE_CHANNELS_SRCS}
)

target_link_libraries(lvr2_examples_channels ${LVR2_EXAMPLE_CHANNELS_DEPENDENCIES})

=== examples/coordinates/CMakeLists.txt ===
#####################################################################################
# Package includes
#####################################################################################


#####################################################################################
# Add executable
#####################################################################################
add_executable(lvr2_examples_coordinates
    Main.cpp
)

target_link_libraries(lvr2_examples_coordinates
    lvr2_static
)

=== examples/hdf5features/CMakeLists.txt ===
add_executable(lvr2_examples_hdf5features
    Main.cpp
)

target_link_libraries(lvr2_examples_hdf5features
    lvr2_static
)

set_target_properties(lvr2_examples_hdf5features PROPERTIES
    CXX_STANDARD 17
)

=== examples/raycasting/CMakeLists.txt ===
#####################################################################################
# RAYCASTER EXAMPLE
#####################################################################################

set(RAYCASTER_DEPS lvr2_static)

# if(OPENCL_FOUND)
#     list(APPEND RAYCASTER_DEPS ${OpenCL_LIBRARIES})
# endif(OPENCL_FOUND)

# if(embree_FOUND)
#     list(APPEND RAYCASTER_DEPS ${EMBREE_LIBRARY})
# endif(embree_FOUND)

# Add executable
add_executable(lvr2_examples_raycasting
    Main.cpp
)

# link
target_link_libraries(lvr2_examples_raycasting
    ${RAYCASTER_DEPS}
)

=== ext/CTPL/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

set(CTPL_INSTALL_INCLUDE_DIR
    ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_INCLUDEDIR}/lvr2/ext/CTPL
    CACHE
    PATH
    "install location of CTPL library header")

find_path(CTPL_INCLUDE_DIR ctpl.h PATH .)
mark_as_advanced(CTPL_INCLUDE_DIR CTPL_INSTALL_INCLUDE_DIR)

include_directories(${CTPL_INCLUDE_DIR})

install(DIRECTORY . DESTINATION ${CTPL_INSTALL_INCLUDE_DIR}
  FILES_MATCHING PATTERN "*.h")

=== ext/HighFive/CMakeLists.txt ===
project(HighFive)
cmake_minimum_required(VERSION 3.0)

enable_testing()

set(HIGHFIVE_VERSION_MAJOR 2)
set(HIGHFIVE_VERSION_MINOR 0)

list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/CMake
  ${PROJECT_SOURCE_DIR}/CMake/portability
  ${PROJECT_SOURCE_DIR}/CMake/packages
  ${PROJECT_SOURCE_DIR}/CMake/config)

include(DefineInstallationPaths)
include(ReleaseDebugAutoFlags)
include(CheckCXX11Portability)

include(BlueGenePortability)

option(HIGHFIVE_UNIT_TESTS "enable unit tests" TRUE)
option(USE_BOOST "enable Boost Support" TRUE)
option(HIGHFIVE_EXAMPLES "Compile examples" TRUE)
option(HIGHFIVE_PARALLEL_HDF5 "Enable Parallel HDF5 support" FALSE)

set(HIGHFIVE_CPP_STD_FLAG "-std=c++11" CACHE STRING "flag to use to enforce c++ standard (default:c++11)")

if(HIGHFIVE_PARALLEL_HDF5)
    set(HDF5_PREFER_PARALLEL TRUE)
endif()

find_package(HDF5 QUIET REQUIRED)

set(Boost_NO_BOOST_CMAKE TRUE)

if(USE_BOOST)
  find_package(Boost QUIET REQUIRED COMPONENTS system unit_test_framework)
  add_definitions(-DH5_USE_BOOST )
  include_directories(SYSTEM ${Boost_INCLUDE_DIR})
endif()

if(HIGHFIVE_PARALLEL_HDF5)
  find_package(MPI)
endif()

if(NOT COMPILER_SUPPORTS_CXX11)
    message(FATAL "HighFive version >=2.0 requires c++ standard >= c++11")
endif()

# Absolute include used to avoid interaction with downstream projects including
# HighFive as a subproject and using the the same filename
include(${PROJECT_SOURCE_DIR}/CMake/PackageConfig.cmake)

if(HIGHFIVE_EXAMPLES)
  add_subdirectory(src/examples)
endif()

add_subdirectory(tests/unit)
add_subdirectory(doc)

=== ext/QVTKOpenGLWidget/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

# set include dirs
set(QVTK_PATCHED_INSTALL_INCLUDE_DIR ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_INCLUDEDIR}/lvr2/ext/QVTKOpenGLWidget CACHE PATH "install location of nanoflann headers")
find_path(QVTK_PATCHED_INCLUDE_DIR QVTKOpenGLWidget.h PATH .)
mark_as_advanced(QVTK_PATCHED_INCLUDE_DIR QVTK_PATCHED_INSTALL_INCLUDE_DIR)

install(DIRECTORY . DESTINATION ${QVTK_PATCHED_INSTALL_INCLUDE_DIR}
  FILES_MATCHING PATTERN "*.hpp")

=== ext/kintinuous/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.8)
project(kfusion C CXX)

find_package(OpenNI2 REQUIRED)
include_directories(OPENNI2_INCLUDE_DIRS)

##############################################################
# INCLUDE DIRECTORIES
##############################################################

include_directories(kfusion/include)
include_directories(${OpenCV_INCLUDE_DIRS} ${CUDA_INCLUDE_DIRS} ${OPENNI2_INCLUDE_DIRS})

##############################################################
# COMPILER SPECIFIC SETTINGS
##############################################################

# This option causes problems for some reason, so turn it off before searching for CUDA
if(MSVC)
    # Setting this to true brakes Visual Studio builds.
    set(CUDA_ATTACH_VS_BUILD_RULE_TO_CUDA_FILE OFF CACHE BOOL "CUDA_ATTACH_VS_BUILD_RULE_TO_CUDA_FILE")
endif()

##############################################################
# CUDA SETTINGS
##############################################################

set(HAVE_CUDA 1)
SET(CUDA_PROPAGATE_HOST_FLAGS OFF)
list(APPEND CUDA_NVCC_FLAGS "-gencode;arch=compute_50,code=sm_50;")

##############################################################
# CHECK FOR OPENCV VIZ MODULE
##############################################################

find_package(OpenCV 2.4.8 COMPONENTS core viz highgui imgproc features2d nonfree)
if(NOT OPENCV_VIZ_FOUND)
message("WARNING: Could not find OpenCV viz module. Kinfu App will not be built.")
else()
    add_subdirectory(kfusion)
    #add_subdirectory(qt_app)
endif()

=== ext/laslib/CMakeLists.txt ===

# set include dirs
set(LASLIB_INSTALL_INCLUDE_DIR ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_INCLUDEDIR}/lvr2/ext/laslib CACHE PATH "install location of laslib library headers")
find_path(LASLIB_INCLUDE_DIR lasreader.hpp PATH inc)
mark_as_advanced(LASLIB_INCLUDE_DIR LASLIB_INSTALL_INCLUDE_DIR)

include_directories(${LASLIB_INCLUDE_DIR})

set(LASLIB_SOURCES
	src/lasreader.cpp
	src/laswriter.cpp
	src/lasreader_las.cpp
	src/lasreader_bin.cpp
	src/lasreader_shp.cpp
	src/lasreader_qfit.cpp
	src/lasreader_txt.cpp
	src/lasreadermerged.cpp
	src/laswriter_las.cpp
	src/laswriter_bin.cpp
	src/laswriter_qfit.cpp
	src/laswriter_txt.cpp
	src/laswaveform13reader.cpp
	src/laswaveform13writer.cpp
	src/lasutility.cpp
	src/lasinterval.cpp
	src/lasspatial.cpp
	src/lasquadtree.cpp
	src/lasindex.cpp
	src/lasfilter.cpp
	src/lastransform.cpp
	src/laszip.cpp
	src/laszipper.cpp
	src/lasunzipper.cpp
	src/lasreadpoint.cpp
	src/lasreaditemcompressed_v1.cpp
	src/lasreaditemcompressed_v2.cpp
	src/laswritepoint.cpp
	src/laswriteitemcompressed_v1.cpp
	src/laswriteitemcompressed_v2.cpp
	src/integercompressor.cpp
	src/arithmeticdecoder.cpp
	src/arithmeticencoder.cpp
	src/arithmeticmodel.cpp
	src/fopen_compressed.cpp)

add_library(lvr2las_static STATIC ${LASLIB_SOURCES})

add_library(lvr2las SHARED ${LASLIB_SOURCES})

install(DIRECTORY inc/ DESTINATION ${LASLIB_INSTALL_INCLUDE_DIR})

install(TARGETS lvr2las_static lvr2las
  EXPORT lvr2Targets
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})

=== ext/laslib/Makefile ===
all:
	cd src && make
	cd example && make
	cd test && make

clean:
	cd src && make clean
	cd example && make clean
	cd test && clean
	rm -f lib/*
	rm -f libD/*

clobber:
	cd src && make clobber
	cd example && make clobber
	cd test && make clobber
	rm -f lib/*
	rm -f libD/*

=== debian/changelog ===
ros-melodic-lvr2 (20.11.2-1stretch) stretch; urgency=high

  * fix install dirs for lvr2 targets

 -- Sebastian Pütz <spuetz@uos.de>  Wed, 02 Dec 2020 23:00:00 -0000

ros-melodic-lvr2 (20.11.1-1stretch) stretch; urgency=high

  * fix for vtk8 issue
  * add missing include and clean up using std
  * use double for precision and refactor cl sor tool
  * adds sor filter tool based on gpu knn
  * added hdf5features example
  * faster loading. map buffers instead of insert next cells
  * added embree dep to cmake.in
  * merged raycaster and cleanup
  * working OpenCL Raycaster with better structure
  * fix colors in filtering
  * some performance optimizations
  * migrated dmc approach

 -- Sebastian Pütz <spuetz@uos.de>  Tue, 10 Nov 2020 23:00:00 -0000

ros-melodic-lvr2 (20.7.1-1stretch) stretch; urgency=high

  * removed cl2.hpp, FeatureProjector.cpp from lib
  * added meta information factory with slam6d and yaml support
  * add debian folder from deb-lvr2 repo.
  * add read vertex normals and colors from MeshBuffer, e.g., ply files
  * add std arrays to conversion proxy for attribute map to channel conversion
  * the large scale reconstruction chunk size is now dictated by the chunk manager
  * make most things configurable for chunked mesh visualization
  * hyperspectral meta information can be saved and loaded
  * implemented basic load and save function of new IO features
  * added function to save the tsdf-values in the chunk manager
  * switched to new hdf5 io scheme for chunks and added a chunking pipeline with a multiple layer support
  * integrated unoptimized hdf5-input for partial reconstruction
  * fully integrated existing approach of dmc
  * Contributors: Alexander Mock, Bao Tran, Benedikt Schumacher, Kevin Rüter, Lennart Niecksch, Malte kl. Piening, Marcel Wiegand, Raphael Marx, Sebastian Pütz, Thomas Wiemann, Timo Osterkamp, Wilko Müller

 -- Sebastian Pütz <spuetz@uos.de>  Wed, 08 Jul 2020 22:00:00 -0000

ros-melodic-lvr2 (19.12.1-1stretch) stretch; urgency=high

  * Initial release of lvr2
  * Contributors: = Adrien Devresse, Aleksandr Ovcharenko, Alexander Altemöller, Alexander Löhr, Alexander Mock, Ali Can Demiralp, Ann-Katrin Haeuser, Bao Tran, Benedikt Schumacher, Christian Swan, Daniel Nachbaur, David J. Luitz, Denis Meyer, Devresse Adrien, Dmitri Bichko, Dominik Feldschnieders, Felix Igelbrink, Fernando Pereira, Florian Otte, Henning Deeken, Henning Strüber, Isaak Mitschke, Jan Philipp Vogtherr, Jan Toennemann, Jochen Sprickerhof, Johan M. von Behren, Juan Hernando Vieites, Kim Oliver Rinnewitz, Kristin Schmidt, Lars Kiesow, Lennart Niecksch, Lukas Kalbertodt, Malte kl. Piening, Marcel Mrozinski, Marcel Wiegand, Martin Günther, Matthias Greshake, Michael Görner, Michael V. DePalatis, Mike Gevaert, Nils Niemann, Pablo Toharia, Raphael Marx, Rasmus Diederichsen, Sabine Rast, Sebastian Pütz, Sergei Sobol, Simon Herkenhoff, Stefan Eilemann, Steffen Hinderink, Sven Albrecht, Thomas Wiemann, Tristan Igelbrink, Wilko Müller, Wolf Vollprecht

 -- Sebastian Pütz <spuetz@uos.de>  Fri, 03 Jan 2020 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-lvr2
Section: misc
Priority: optional
Maintainer: Sebastian Pütz <spuetz@uos.de>
Build-Depends: debhelper (>= 9.0.0), cmake, freeglut3-dev, libboost-all-dev, libeigen3-dev, libflann-dev, libgsl-dev, libhdf5-dev, liblz4-dev, libopencv-dev, libqt5opengl5-dev, libvtk6-dev, libvtk6-qt-dev, libxi-dev, libxmu-dev, libyaml-cpp-dev, ocl-icd-opencl-dev, qtbase5-dev
Homepage: https://www.las-vegas.uni-osnabrueck.de/
Standards-Version: 3.9.2

Package: ros-melodic-lvr2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeglut3-dev, libboost-all-dev, libeigen3-dev, libflann-dev, libgsl-dev, libhdf5-dev, liblz4-dev, libopencv-dev, libqt5opengl5-dev, libvtk6-dev, libvtk6-qt-dev, libxi-dev, libxmu-dev, libyaml-cpp-dev, ocl-icd-opencl-dev, qtbase5-dev
Description: The Las Vegas Surface Reconstruction Toolkit is an Open Source toolkit to reconstruct triangle meshes from unordered point clouds.
 It supports the generation of textured models either using colored point clouds or point clouds plus images and according calibration matrices. The LVR toolkit provides an Open Source C++ API for meshing and texture generation as well as an I/O interface to store the generated meshes in different exchange formats including Stanford PLY, Wavefront OBJ and Collada. In contrast to other meshing software, it focuses on reconstruction of large scale environments on city scale from high resolution point clouds.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-lvr2//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-lvr2 20.11.3

=== debian/changelog ===
ros-melodic-lvr2 (20.11.3-1bionic) bionic; urgency=high

  * add libgdal-dev to package.xml, resolves #10 <https://github.com/uos/lvr2/issues/10>

 -- Sebastian Pütz <spuetz@uos.de>  Thu, 07 Oct 2021 22:00:00 -0000

ros-melodic-lvr2 (20.11.2-1bionic) bionic; urgency=high

  * fix install dirs for lvr2 targets

 -- Sebastian Pütz <spuetz@uos.de>  Wed, 02 Dec 2020 23:00:00 -0000

ros-melodic-lvr2 (20.11.1-1bionic) bionic; urgency=high

  * fix for vtk8 issue
  * add missing include and clean up using std
  * use double for precision and refactor cl sor tool
  * adds sor filter tool based on gpu knn
  * added hdf5features example
  * faster loading. map buffers instead of insert next cells
  * added embree dep to cmake.in
  * merged raycaster and cleanup
  * working OpenCL Raycaster with better structure
  * fix colors in filtering
  * some performance optimizations
  * migrated dmc approach

 -- Sebastian Pütz <spuetz@uos.de>  Tue, 10 Nov 2020 23:00:00 -0000

ros-melodic-lvr2 (20.7.1-1bionic) bionic; urgency=high

  * removed cl2.hpp, FeatureProjector.cpp from lib
  * added meta information factory with slam6d and yaml support
  * add debian folder from deb-lvr2 repo.
  * add read vertex normals and colors from MeshBuffer, e.g., ply files
  * add std arrays to conversion proxy for attribute map to channel conversion
  * the large scale reconstruction chunk size is now dictated by the chunk manager
  * make most things configurable for chunked mesh visualization
  * hyperspectral meta information can be saved and loaded
  * implemented basic load and save function of new IO features
  * added function to save the tsdf-values in the chunk manager
  * switched to new hdf5 io scheme for chunks and added a chunking pipeline with a multiple layer support
  * integrated unoptimized hdf5-input for partial reconstruction
  * fully integrated existing approach of dmc
  * Contributors: Alexander Mock, Bao Tran, Benedikt Schumacher, Kevin Rüter, Lennart Niecksch, Malte kl. Piening, Marcel Wiegand, Raphael Marx, Sebastian Pütz, Thomas Wiemann, Timo Osterkamp, Wilko Müller

 -- Sebastian Pütz <spuetz@uos.de>  Wed, 08 Jul 2020 22:00:00 -0000

ros-melodic-lvr2 (19.12.1-1bionic) bionic; urgency=high

  * Initial release of lvr2
  * Contributors: = Adrien Devresse, Aleksandr Ovcharenko, Alexander Altemöller, Alexander Löhr, Alexander Mock, Ali Can Demiralp, Ann-Katrin Haeuser, Bao Tran, Benedikt Schumacher, Christian Swan, Daniel Nachbaur, David J. Luitz, Denis Meyer, Devresse Adrien, Dmitri Bichko, Dominik Feldschnieders, Felix Igelbrink, Fernando Pereira, Florian Otte, Henning Deeken, Henning Strüber, Isaak Mitschke, Jan Philipp Vogtherr, Jan Toennemann, Jochen Sprickerhof, Johan M. von Behren, Juan Hernando Vieites, Kim Oliver Rinnewitz, Kristin Schmidt, Lars Kiesow, Lennart Niecksch, Lukas Kalbertodt, Malte kl. Piening, Marcel Mrozinski, Marcel Wiegand, Martin Günther, Matthias Greshake, Michael Görner, Michael V. DePalatis, Mike Gevaert, Nils Niemann, Pablo Toharia, Raphael Marx, Rasmus Diederichsen, Sabine Rast, Sebastian Pütz, Sergei Sobol, Simon Herkenhoff, Stefan Eilemann, Steffen Hinderink, Sven Albrecht, Thomas Wiemann, Tristan Igelbrink, Wilko Müller, Wolf Vollprecht

 -- Sebastian Pütz <spuetz@uos.de>  Fri, 03 Jan 2020 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-lvr2
Section: misc
Priority: optional
Maintainer: Sebastian Pütz <spuetz@uos.de>
Build-Depends: debhelper (>= 9.0.0), cmake, freeglut3-dev, libboost-all-dev, libeigen3-dev, libflann-dev, libgdal-dev, libgsl-dev, libhdf5-dev, liblz4-dev, libopencv-dev, libqt5opengl5-dev, libvtk6-dev, libvtk6-qt-dev, libxi-dev, libxmu-dev, libyaml-cpp-dev, ocl-icd-opencl-dev, qtbase5-dev
Homepage: https://www.las-vegas.uni-osnabrueck.de/
Standards-Version: 3.9.2

Package: ros-melodic-lvr2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeglut3-dev, libboost-all-dev, libeigen3-dev, libflann-dev, libgdal-dev, libgsl-dev, libhdf5-dev, liblz4-dev, libopencv-dev, libqt5opengl5-dev, libvtk6-dev, libvtk6-qt-dev, libxi-dev, libxmu-dev, libyaml-cpp-dev, ocl-icd-opencl-dev, qtbase5-dev
Description: The Las Vegas Surface Reconstruction Toolkit is an Open Source toolkit to reconstruct triangle meshes from unordered point clouds.
 It supports the generation of textured models either using colored point clouds or point clouds plus images and according calibration matrices. The LVR toolkit provides an Open Source C++ API for meshing and texture generation as well as an I/O interface to store the generated meshes in different exchange formats including Stanford PLY, Wavefront OBJ and Collada. In contrast to other meshing software, it focuses on reconstruction of large scale environments on city scale from high resolution point clouds.

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,9 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+
+# Solve shlibdeps errors in REP136 packages that use GNUInstallDirs:
+export DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
 	dh $@ -v --buildsystem=cmake
@@ -50,7 +53,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-lvr2//opt/ros/melodic/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-lvr2//opt/ros/melodic/lib/:$(CURDIR)/debian/ros-melodic-lvr2//opt/ros/melodic/lib/${DEB_HOST_MULTIARCH}
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
